import { AfterViewInit, ChangeDetectorRef, ComponentFactoryResolver, ComponentRef, Type } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
import { BbDialogInsertion } from '../dialog.insertion';
import { Subject } from 'rxjs';
export declare class BbDialogContainer implements AfterViewInit {
    private _changeDetection;
    private _componentFactoryResolver;
    insertion: BbDialogInsertion;
    componentRef: ComponentRef<any> | null;
    childComponentType: Type<any> | null;
    overlayClicked$: Subject<void>;
    readonly onOverlayClicked: import("rxjs").Observable<void>;
    constructor(_changeDetection: ChangeDetectorRef, _componentFactoryResolver: ComponentFactoryResolver);
    ngAfterViewInit(): void;
    onAnimationDone(event: AnimationEvent): void;
    onOverlayClickedEvent(): void;
    private loadChildComponent;
}
